Bug 467410 - (mingw32-libgcrypt) Review Request: mingw32-libgcrypt - MinGW Windows gcrypt encryption library
Review Request: mingw32-libgcrypt - MinGW Windows gcrypt encryption library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-libgpg-error
Blocks: mingw32-gnutls mingw32-libvirt
  Show dependency treegraph
 
Reported: 2008-10-17 07:20 EDT by Richard W.M. Jones
Modified: 2009-03-01 18:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-01 18:55:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Richard W.M. Jones 2009-01-25 08:21:46 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/libgcrypt/mingw32-libgcrypt.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-libgcrypt-1.4.3-3.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.4.3-3
- Use _smp_mflags.
- Disable static libraries.
Comment 3 Michel Alexandre Salim 2009-02-03 19:40:56 EST
Notes:
- Fedora version has been updated to 1.4.4, with substantial patches. Should the
  mingw32 package be rebased first?
- Package description is a bit sparse. Should it be copied from Fedora's?

MUST

? rpmlint: source clean, binary has no-doc and script-without-shebang
  This is not in the guideline -- do all *.def need to have +x
  permissions?
+ package name
+ spec file name
+ package guideline-compliant
+ license complies with guidelines
+ license field accurate

- license file not deleted

+ spec in US English
+ spec legible
+ source matches upstream
+ builds under >= 1 archs, others excluded
+ build dependencies complete

N/A locales handled using %find_lang, no %{_datadir}/locale
?   library -> ldconfig

N/A relocatable: give reason

+  own all directories
+  no dupes in %files

?  permission -- see question above
+ %clean RPM_BUILD_ROOT
+ macros used consistently
+ Package contains code

N/A large docs => -doc
N/A doc not runtime dependent
N/A static in -static
N/A if contains *.pc, req pkgconfig
N/A desktop file uses desktop-file-install

+ clean buildroot before install
+ filenames UTF-8

SHOULD
+ package functioned as described
+ scriplets are sane
+ if main pkg is development-wise, pkgconfig can go in main package
+ require package not files

Approved
Comment 4 Richard W.M. Jones 2009-02-06 09:01:31 EST
Thanks for approving this.  I have done an updated
package which should fix everything you mentioned.
I will proceed with the CVS request anyway.

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 1.4.4-1
- Update to Fedora native version 1.4.4:
  . Remove potentially patented ECC support.
  . Do not abort when the fips mode kernel flag is inaccessible
    due to permissions (#470219).
- For review (Michel Alexandre Salim):
  . Remove *.def file.
  . Make description clearer.
  . Distribute the license files.
- The license for binaries is GPLv2+, so update the license field.
- Add check section (disabled by default).
- Why did we set PATH before configure? Removed.
- Added BR mingw32-dlfcn suggested by auto-buildrequires.
Comment 5 Richard W.M. Jones 2009-02-06 09:04:03 EST
New Package CVS Request
=======================
Package Name: mingw32-libgcrypt
Short Description: MinGW Windows gcrypt encryption library
Owners: rjones berrange
Branches: F-10 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2009-02-08 16:50:48 EST
cvs done.
Comment 7 Michel Alexandre Salim 2009-03-01 18:55:46 EST
Looks like this is already in Rawhide and F-10 stable.

Note You need to log in before you can comment on or make changes to this bug.